Subject: Re: imapd in Pine 3.91

From: [email-masked] (Trey Harris)
Date: 31 May 1995 23:40:43 GMT

In article <[email-masked]>,
System Manager <[email-masked]> wrote:
>	I am in the process of installing Pine 3.91.  We have had Pine 3.88
>for a while so I am familiar with pine and pico which are created in the
>installation process.  Also created are imapd and mtest with which I am not
>familiar.  I know what imap means and does but the documentation that comes
>with Pine 3.91 is not very specific as what to do with imapd and mtest
>unless I missed it.  I suspect that imapd is the daemon that accepts imap
>connections but how is it activated?  Do I need to install additional
>software or is it all included in pine?  Some daemons are activated by simply
>typing the name but that does not seem to work here.  Can anyone enlighten
>me about how to use imapd and mtest or point me to the place where I might
>find that information?

(It is usually considered improper netiquette to post from a system 
management account such as 'root', 'daemon' or 'postmaster'.  You may 
want to consider creating your own account for the purpose of email and 
news.)

First, the easy one, mtest.  Ignore it.  It is a little c-client tester 
and unless you have some very strange problems with mailbox accessing and 
you want to play around with low-level functions, you'll never need it.

imapd is a bit more difficult, but the following steps should do it (as 
root):

1. Move the imapd binary wherever you would like it (/usr/local/etc is my 
   choice, some prefer /usr/etc).

2. Append the following line to the end of /etc/services:

imap            143/tcp          

3. Append the following line to the end of /etc/inetd.conf:

imap   stream   tcp      nowait      root       /usr/local/etc/imapd imapd

(if you put imapd somewhere other than /usr/local/etc/imapd, put that 
name there)

4. Create a link to /etc/rimapd:

# ln -sf /usr/local/etc/imapd /etc/rimapd

5. Refresh inetd:

# kill -1 InetdPID

where InetdPID is the process ID of the inetd process.

You're done.  All this information, by the way, is included in your Pine 
distribution in the doc/tech-notes.txt file.
-- 
Trey Harris                              http://sunsite.unc.edu/harris
  System Administrator, Project Isis, Office of Information Technology
                       The University of North Carolina at Chapel Hill